Get Recent Trades
curl --request GET \
--url https://api.perpetuals.polymarket.com/v1/info/tradesimport requests
url = "https://api.perpetuals.polymarket.com/v1/info/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.perpetuals.polymarket.com/v1/info/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"trade_id": 1,
"instrument_id": 1,
"price": "100.00",
"quantity": "10.00",
"timestamp": 1767225600000,
"hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
}
],
"more": true
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}Get public trades for an instrument. Maximum of 100 entries returned per request.
GET
/
v1
/
info
/
trades
Get Recent Trades
Request Weight: 10
Query Parameters
Instrument ID
Start timestamp in milliseconds
Example:
1767225600000
End timestamp in milliseconds
Example:
1767229200000
Was this page helpful?
⌘I